//---------------------------------------------------------------------------


#pragma hdrstop

#include "TCellField.h"

//---------------------------------------------------------------------------

TCellField::TCellField()
{
    Row = 0;
    Column = 0;
    Address = 0;
    Bit = 0;
    Width = 0;
}
//---------------------------------------------------------------------------

TCellField::TCellField(int row, int col, int add, int bit, int wid)
{
    Row = row;
    Column = col;
    Address = add;
    Bit = bit;
    Width = wid;
}
//---------------------------------------------------------------------------

TCellField::~TCellField()
{
}
//---------------------------------------------------------------------------

void TCellField::Offset(int bit)
{
    Address += bit / 8;
    Bit += bit % 8;

    if (Bit >= 8) {
        Address += 1;
        Bit -= 8;
    }
}
//---------------------------------------------------------------------------

#pragma package(smart_init)
