//---------------------------------------------------------------------------


#pragma hdrstop

#include "TField.h"

//---------------------------------------------------------------------------

TField::TField()
{
    ControlPtr = 0;
    Address = 0;
    Bit = 0;
    Width = 0;
}
//---------------------------------------------------------------------------

TField::TField(TControl *contPtr, int add, int bit, int wid)
{
    ControlPtr = contPtr;
    Address = add;
    Bit = bit;
    Width = wid;
}
//---------------------------------------------------------------------------

TField::~TField()
{
}
//---------------------------------------------------------------------------

void TField::Offset(int bit)
{
    Address += bit / 8;
    Bit += bit % 8;

    if (Bit >= 8) {
        Address += 1;
        Bit -= 8;
    }
}
//---------------------------------------------------------------------------

#pragma package(smart_init)
